# -*- encoding: utf-8 -*-

from django import forms
from django.forms.models import inlineformset_factory
from django.forms.widgets import CheckboxSelectMultiple
from django.forms import ModelForm

from captcha.fields import CaptchaField

from models import *

################################################################################
# OFFRE EMPLOI
################################################################################
class CandidatPieceForm(inlineformset_factory(Candidat,
                        CandidatPiece)):
    nom = forms.MultipleChoiceField(choices=TYPE_PIECE_CHOICES,
            widget=CheckboxSelectMultiple)



POSTULER_FORM_EXCLUDES = ('actif', 'offre_emploi',) 
POSTULER_FORM_FIELDS = ('nom', 'prenom', 'genre', 'nationalite', 'situation_famille', 
                    'nombre_dependant', 'niveau_diplome', 'employeur_actuel', 
                    'poste_actuel', 'domaine_professionnel', 'telephone', 
                    'email', 'adresse', 'ville', 'code_postal', 'etat_province',
                    'pays', )

class NoCaptchaPostulerOffreEmploiForm(ModelForm):
    class Meta:
        model = Candidat
        exclude = POSTULER_FORM_EXCLUDES
        fields =  POSTULER_FORM_FIELDS

class PostulerOffreEmploiForm(ModelForm):
    captcha = CaptchaField()

    class Meta:
        model = Candidat   
        exclude = POSTULER_FORM_EXCLUDES
        fields =  POSTULER_FORM_FIELDS + ('captcha', )
